# Site Preview for Kate

A plugin for Kate that allows you to view your website locally, side-by-side during editing. It currently supports the following site generators:

* Hugo

## Why isn't my favorite SSG supported?

In order to add support for your generator, it needs an equivalent of `hugo list`, which looks like this:

```shell
$ hugo list all
path,slug,title,date,expiryDate,publishDate,draft,permalink,kind,section
content/art/_content.gotmpl,queen-of-reason,Queen of Reason,2025-05-19T00:00:00Z,0001-01-01T00:00:00Z,2025-05-19T00:00:00Z,false,https://redstrate.com/art/2025/05/queen-of-reason/,page,art
content/art/_content.gotmpl,cooking-girl,what's up,2025-05-19T00:00:00Z,0001-01-01T00:00:00Z,2025-05-19T00:00:00Z,false,https://redstrate.com/art/2025/05/cooking-girl/,page,art
content/blog/kawari10/index.md,,Kawari Progress Report 10 - Polish,2025-05-10T00:00:00Z,0001-01-01T00:00:00Z,2025-05-10T00:00:00Z,false,https://redstrate.com/blog/2025/05/kawari-progress-report-10-polish/,page,blog
...
```

Otherwise, we have no way of telling which files have the corresponding URL. If your generator has this command, feel free to open an issue or MR.

## Credits

Originally based on the "Document Preview" plugin built into Kate.